Ruby - Bug #4404

Make Dir.glob respect backslash as if slash in windows
02/17/2011 05:17 AM - rogerdpack (Roger Pack)
Priority: Normal
Target version:
Description

=begin

Hello all.

Related to

http:/redmine.ruby-lang.org/issues/show/2625

| at times find myself using windows paths in glob's:

Dir[%!C:\Users\Public\Desktop™!]

But it never works, as the backslash must be (manually, or programmatically) replaced by a forward slash.
Could we get the default behavior changed for windows on this? That would be swell.

Thank you!
-
=end

History

#1 - 02/17/2011 09:52 AM - drbrain (Eric Hodel)

=begin
| don't think your example string means what you think it means:

$ ruby -e 'p %!a\x65!, %qla\x65!"
"ae"

"a\x65"

=end

#2 - 02/17/2011 09:58 AM - nagachika (Tomoyuki Chikanaga)

=begin
Hi,

You should escape backslash in double quoted string literal("" or %!!) as follows,
Dir[%!C:\Users\Public\Desktop\*!]

or you can use single-quoted string literal(" or %q!!).
Dir['C:\Users\Public\Desktop™']

=end

#3 - 02/18/2011 05:20 AM - rogerdpack (Roger Pack)

=begin
sorry for the poor example, the proposal should have been to make

Dir['C:\Users\Public\Desktop*']
work.

-r
=end
http://redmine.ruby-lang.org/issues/show/2625

#4 - 06/26/2011 05:51 PM - naruse (Yui NARUSE)
- Status changed from Open to Assigned
- Assignee set to usa (Usaku NAKAMURA)

#5 - 06/27/2011 04:04 PM - usa (Usaku NAKAMURA)

- Status changed from Assigned to Rejected

\'in glob parameter has special meaning.
So, we can't treat it as directory separator.
This is described in RDoc of Dir#(].

11/12/2025

22


http://www.tcpdf.org

